/*
 * AccessorsLifeCycle.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor;


/**
 * データアクセッサに生成と破棄の機能を追加するインターフェイス。
 * @author Lijuan Sun
 */
public interface AccessorsLifeCycle {

	/**
	 * 設定ファイルを読み込む
	 *
	 * @param key 設定ファイル名
	 */
	void initialize(String key);

	/**
	 * 後処理する。
	 */
	void release();

}
